language: node_js
jobs:
  include:
    - os: linux
      node_js: 10
      env:
        - TEST=1
    - os: linux
      node_js: 12
      env:
        - TEST=1
    - os: linux
      node_js: 14
      env:
        - TEST=1
        - BUILD_NAME=linux-x64
    - os: osx
      node_js: 10
      env:
        - TEST=1
    - os: osx
      node_js: 12
      env:
        - TEST=1
    - os: osx
      node_js: 14
      env:
        - TEST=1
        - BUILD_NAME=darwin-x64
    - os: linux
      node_js: 14
      env:
        - BUILD_NAME=linux-arm
        - BUILD_SCRIPT=prebuild-linux-arm
      if: tag is present
    - os: linux
      node_js: 14
      arch: arm64
      env:
        - BUILD_NAME=linux-arm64
      if: tag is present
script:
  - if [ -n "$TEST" ]; then npm run test; fi
before_deploy:
  - ARCHIVE_NAME="${TRAVIS_TAG:-latest}-$BUILD_NAME.tar"
  - if [ -n "$BUILD_SCRIPT" ]; then npm run $BUILD_SCRIPT; else npm run prebuild; fi
  - tar -cvf "$ARCHIVE_NAME" -C prebuilds .
deploy:
  provider: releases
  token:
    secure: FzxCOALZjPUUCE0pdV6xoeUwcpUG92A6cgeZjUrU8iSsneCLSBfj3i1Zpsz+1A8pPCy4FmWRSqCxkEwMVluYXsUpqT54nvX0yQZHeXTDnVYg1EIvEuKgkysEVUQJ6VplTilE6lrRWYEkOOoQPeIEe4kW8EyGzpV9zeHrpdYsdc0=
  file: $ARCHIVE_NAME
  skip_cleanup: true
  on:
    tags: true
    condition: -n "$BUILD_NAME"
